> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enterprise Snapshot Details

> Get detailed information about a specific Snapshot including pending running scripts

Requires an enterprise admin personal API key.

This endpoint retrieves detailed information about a specific Machine Snapshot within your enterprise.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/snapshots/{snapshot_id}
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/snapshots/{snapshot_id}:
    get:
      tags:
        - snapshots
      summary: Get Snapshot
      operationId: get_snapshot_v2_enterprise_snapshots__snapshot_id__get
      parameters:
        - in: path
          name: snapshot_id
          required: true
          schema:
            title: Snapshot Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseSnapshotResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    EnterpriseSnapshotResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_default:
          title: Is Default
          type: boolean
        org:
          $ref: '#/components/schemas/EnterpriseOrganizationResponse'
        pending_scripts:
          anyOf:
            - items:
                $ref: '#/components/schemas/EnterpriseSnapshotScriptResponse'
              type: array
            - type: 'null'
          title: Pending Scripts
        snapshot_id:
          title: Snapshot Id
          type: string
        snapshot_name:
          title: Snapshot Name
          type: string
        status:
          title: Status
          type: string
      required:
        - snapshot_id
        - snapshot_name
        - description
        - status
        - created_at
        - is_default
        - org
      title: EnterpriseSnapshotResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EnterpriseOrganizationResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        display_name:
          title: Display Name
          type: string
        org_id:
          title: Org Id
          type: string
      required:
        - org_id
        - display_name
        - created_at
      title: EnterpriseOrganizationResponse
      type: object
    EnterpriseSnapshotScriptResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        script_id:
          title: Script Id
          type: string
        script_name:
          title: Script Name
          type: string
        status:
          title: Status
          type: string
      required:
        - script_id
        - script_name
        - status
        - created_at
      title: EnterpriseSnapshotScriptResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````